## dcl-f90 5.2~git20150826+56b2e10

=== Makefile ===
# Makefile for dcl-f90-linux
#
# 2001/06/14  ODAKA Masatsugu (odakker@gfd-dennou.org)
# 2001/06/18  ODAKA Masatsugu (odakker@gfd-dennou.org)

include Mkinclude

all:
	cd src/f77; $(MAKE)
	cd src/f90; $(MAKE)
	cd bin; $(MAKE)

install:
	cd src/f77; $(MAKE) install
	cd src/f90; $(MAKE) install
	cd bin; $(MAKE) install

install.man:
	test -d $(DOCINSTDIR) || install -d $(DOCINSTDIR)
	cp -r man $(DOCINSTDIR)
	cp -r man_en $(DOCINSTDIR)
	cp -r tutorial $(DOCINSTDIR)	

clean:
	cd src/f77; $(MAKE) clean
	cd src/f90; $(MAKE) clean
	cd bin; $(MAKE) clean

distclean: shift_jis clean
	-rm -f Mkinclude SIGEN.htm config.cache config.log config.status
	-rm -f src/f*/charset.* chkfort.cfg
	-rm -rf tmp
	@echo Mkinclude removed, so you should rerun configure again to use make.

charset: $(CHARSET)

euc: euc-jp
sjis: shift_jis

euc-jp:
	cd src/f77; $(MAKE) $@
	cd src/f90; $(MAKE) $@

shift_jis:
	cd src/f77; $(MAKE) $@
	cd src/f90; $(MAKE) $@

diff: shift_jis
	cvs diff $(DIFFFLAGS)

=== bin/Makefile ===
# Makefile for dclf90

include ../Mkinclude

TARGET=dclf90

all: $(TARGET) $(TARGET)config

install: $(TARGET)
	test -d $(BININSTDIR) || install -d $(BININSTDIR)
	cp $(TARGET) $(BININSTDIR)
	cp $(TARGET)config $(BININSTDIR)

$(TARGET): dclf90gen.sh Makefile ../Mkinclude
	@echo "Making shell script $(TARGET)"
	LIBNAME=$(LIBNAME) MODINSTDIR=$(MODINSTDIR) \
		LIBINSTDIR=$(LIBINSTDIR) \
		SYSLDFLAGS="$(SYSLDFLAGS)" \
		SYSLDLIBS="$(SYSLDLIBS)" \
		SYSFFLAGS="$(SYSFFLAGS)" \
		F90MODTYPE=$(F90MODTYPE) FC=$(FC) \
		sh ./dclf90gen.sh $@
	chmod +x $(TARGET)
	
$(TARGET)config: dclf90configgen.sh Makefile ../Mkinclude
	@echo "Making shell script $(TARGET)config"
	LIBNAME=$(LIBNAME) MODINSTDIR=$(MODINSTDIR) \
		LIBINSTDIR=$(LIBINSTDIR) \
		SYSLDFLAGS="$(SYSLDFLAGS)" \
		SYSLDLIBS="$(SYSLDLIBS)" \
		SYSFFLAGS="$(SYSFFLAGS)" \
		F90MODTYPE=$(F90MODTYPE) FC=$(FC) \
		sh ./dclf90configgen.sh $@
	chmod +x $(TARGET)config

clean:
	-rm -f *~ $(TARGET) $(TARGET)config

=== src/f77/Makefile ===
# Makefile for dcl-f90-linux/f77
#
# 2001/06/14  ODAKA, Masatsugu


include ../../Mkinclude

OBJS= \
    bit_interface.o \
    blk_interface.o \
    chg_interface.o \
    chk_interface.o \
    chn_interface.o \
    chr_interface.o \
    clc_interface.o \
    ctr_interface.o \
    dat_interface.o \
    fft_interface.o \
    fio_interface.o \
    fmt_interface.o \
    fnc_interface.o \
    gnm_interface.o \
    gr_interface.o \
    hex_interface.o \
    ifa_interface.o \
    ind_interface.o \
    int_interface.o \
    intr_interface.o \
    lrl_interface.o \
    map_interface.o \
    mis_interface.o \
    ode_interface.o \
    os_interface.o \
    ran_interface.o \
    rea_interface.o \
    rfa_interface.o \
    rfb_interface.o \
    rnm_interface.o \
    sc_interface.o \
    sg_interface.o \
    sht_interface.o \
    sl_interface.o \
    st_interface.o \
    sub_interface.o \
    sw_interface.o \
    sys_interface.o \
    sz_interface.o \
    tim_interface.o \
    uc_interface.o \
    ud_interface.o \
    ue_interface.o \
    ug_interface.o \
    uh_interface.o \
    ul_interface.o \
    um_interface.o \
    us_interface.o \
    uu_interface.o \
    uv_interface.o \
    uw_interface.o \
    ux_interface.o \
    uy_interface.o \
    uz_interface.o \
    via_interface.o \
    vib_interface.o \
    vra_interface.o \
    vrb_interface.o \
    vst_interface.o \
    xfc_interface.o \
    dcl_f77.o

all: $(OBJS) work.pc

work.pc:
	if [ X"$(F90MODTYPE)" = X"intel.d" ]; then \
		$(MAKE) $(OBJS) ;\
	else \
		touch $@ ;\
	fi

install: all
	test -d $(MODINSTDIR) || install -d $(MODINSTDIR)
	install -m 644 *$(MODEXT) $(MODINSTDIR)

clean:
	# caution: MODEXT may be .f90 and should not be used here
	-rm -f *.o *.mod *.d work.pc*

FILES=*.f90
include ../../charconv.mk

=== tutorial/1d/uspack/_vti_cnf/Makefile ===
vti_encoding:SR|utf8-nl
vti_timelastmodified:TR|15 May 1997 15:00:00 -0000
vti_author:SR|DENNOU\\mizuta
vti_modifiedby:SR|DENNOU\\mizuta
vti_timecreated:TR|05 Feb 2000 14:03:36 -0000
vti_backlinkinfo:VX|
vti_extenderversion:SR|4.0.2.2717
vti_syncwith_localhost\\\\\\sturm07\\shared\\dcl-f90\\tutorial///sturm07/shared/dcl-f90/tutorial:TR|15 May 1997 15:00:00 -0000
vti_nexttolasttimemodified:TR|15 May 1997 15:00:00 -0000
vti_syncwith_win-k.gfd-dennou.org\:80/dcl-f90/doc/tutorial:TR|15 May 1997 15:00:00 -0000

=== debian/changelog ===
dcl-f90 (1:5.2~git20150826+56b2e10-2) unstable; urgency=medium

  * Update description: Cosmetic

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 26 Aug 2015 18:01:53 +0900

dcl-f90 (1:5.2~git20150826+56b2e10-1) unstable; urgency=medium

  * Bump Standard Version: 3.9.5
  * include hardening flags
  * Refresh patches
  * Update debian/changelog
  * Imported Upstream version 5.2~git20150826+56b2e10
  * Bump Standard Version: 3.9.6
  * Bump Compat: 9
  * Drop obsolete README.source
  * Rename dbg package: dcl-f90-dbg -> libf90dcl-dbg
  * Support Multiarch

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 26 Aug 2015 12:34:46 +0900

dcl-f90 (5.2+SvnRev44-2) unstable; urgency=low

  * update clean target: remove unneeded patches

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 03 Feb 2011 15:14:39 +0900

dcl-f90 (5.2+SvnRev44-1) unstable; urgency=low

  * New upstream, sync Subversion
  * Drop cdbs, using dh 7
  * Change source format: 3.0 (quilt)
  * Bump Standard Version: 3.9.1

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 03 Feb 2011 07:22:32 +0900

dcl-f90 (5.2-11) unstable; urgency=low

  * modified missing dependencies
    * require dcl-g95, dcl-ffc5, dcl-ifc10, dcl-gfortran (>= 5.3.3-4)

 -- Youhei Sasaki <uwabami@gfd-dennou.org>  Wed,  9 Apr 2008 18:12:35 +0900

dcl-f90 (5.2-10) unstable; urgency=low

  * New Upstream
  * renewal package design
    * using cdbs
    * create multi-binary from single source.

 -- Youhei Sasaki <uwabami@gfd-dennou.org>  Mon, 17 Mar 2008 18:39:54 +0900

dcl-f90 (5.2-9) unstable; urgency=low

  * Intel Fortran Compiler ver.7 support.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Sun,  5 Jan 2003 22:36:01 +0900

dcl-f90 (5.2-8) unstable; urgency=low

  *  Intel Fortran Compiler ver.6 support.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Sun,  5 May 2002 03:08:15 +0900

dcl-f90 (5.2-7) unstable; urgency=low

  * autoconf is used for buliding debian packages.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Thu, 20 Dec 2001 18:26:25 +0900

dcl-f90 (5.2-5) unstable; urgency=low

  * Documenets are separated as a differnet package.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Tue, 20 Nov 2001 12:37:29 +0900

dcl-f90 (5.2-4) unstable; urgency=low

  * Library built with Intel Fortran available.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Tue, 20 Nov 2001 11:12:06 +0900

=== debian/control ===
Source: dcl-f90
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper(>= 9~), dpkg-dev (>= 1.16.1~), autotools-dev, libf77dcl-dev
Standards-Version: 3.9.6
Homepage: http://www.gfd-dennou.org/library/dcl/dcl-f90/

Package: dcl-f90
Architecture: any
Depends: ${misc:Depends}, dcl-f77 (>= 5.3.3-4)
Suggests: dcl-f90-doc
Description: GFD-DENNOU Club Library (DCL) - Fortran90 Interfaces
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 This package provide Fortran 90 Interfaces.
 It contains following libraries.
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package is metapackage to install libf77dcl-dev

Package: libf90dcl-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libf90dcl5 (= ${binary:Version}),
Description: GFD-DENNOU Club Library (DCL) - F90 - static library and header files
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 This package provide Fortran 90 Interfaces, contains following libraries:
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides static library, header files, wrapper scripts.

Package: libf90dcl5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GFD-DENNOU Club Library (DCL) - F90 - shared library
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 This package provide Fortran 90 Interfaces, contains following libraries:
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides shared library, database files.

Package: libf90dcl-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, libf90dcl5 (= ${binary:Version})
Replaces: dcl-f90-dbg (<< 1:5.2~ )
Breaks: libf90dcl5 (<< 1:5.2~ ), dcl-f90-dbg (<< 1:5.2~ )
Suggests: gdb
Description: GFD-DENNOU Club Library (DCL) - F90 - debugging symbols
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 This package provide Fortran 90 Interfaces, contains following libraries:
 * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries:
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package is provided primarily to provide a backtrace with names
 in a debugger, this makes it somewhat easier to interpret core
 dumps.  Most people will not need this package.

Package: dcl-f90-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: GFD-DENNOU Club Library (DCL) - F90 - documents
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 This package provide Fortran 90 Interfaces, contains following libraries:
 * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries:
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides document and demo programs.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_clean:
	[ ! -f Mkinclude ] || $(MAKE) clean
	-rm -f Mkinclude SIGEN.htm config.cache config.log config.status
	-rm -f src/f*/charset.* chkfort.cfg
	-rm -rf tmp
	dh_clean
	rm -f src/f77/x
	rm -f src/f90/x

override_dh_auto_configure:
	FC=gfortran \
		 dh_auto_configure -- --prefix=/usr \
		 --with-dclconfig=/usr/bin/dclconfig

override_dh_auto_install:
	dh_auto_install -- prefix=$(CURDIR)/debian/tmp/usr
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	$(CC) $(CFLAGS) $(LDFLAGS) --shared -Wl,-soname,libf90dcl.so.5 \
	-o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libf90dcl.so.5.2 \
	  `find $(CURDIR) -name \*.o`
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf90dcl.so.5.2 libf90dcl.so.5 )
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf90dcl.so.5.2 libf90dcl.so )

override_dh_install:
	dh_install --sourcedir=debian/tmp

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=libf90dcl-dbg

## dcl-f90 5.2+SvnRev44

=== debian/changelog ===
dcl-f90 (5.2+SvnRev44-3) unstable; urgency=medium

  * Bump Standard Version: 3.9.5
  * include hardening flags
  * Refresh patches

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 20 Jan 2014 16:05:49 +0900

=== debian/control ===
Source: dcl-f90
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper(>= 9~), dpkg-dev (>= 1.16.1~), autotools-dev, libf77dcl-dev
Standards-Version: 3.9.5
Homepage: http://www.gfd-dennou.org/library/dcl/dcl-f90/

Package: dcl-f90
Architecture: any
Depends: ${misc:Depends}, dcl-f77 (>= 5.3.3-4)
Suggests: dcl-f90-doc
Description: GFD Dennou Club Library Fortran90 Interfaces.
 This package, dcl-f90 is a collection of Fortran 90 wrappers for
 GFD-Dennou Club Library (DCL) 5.x.
 .
 This package is metapackage to install libf90dcl-dev

Package: libf90dcl-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libf90dcl5 (= ${binary:Version}),
Description: GFD Dennou Club Library Fortran90 Interfaces.
 This package, dcl-f90 is a collection of Fortran 90 wrappers for
 GFD-Dennou Club Library (DCL) 5.x.
 .
 This package provides static library, header files, wrapper scripts.

Package: libf90dcl5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GFD Dennou Club Library Fortran90 Interfaces.
 This package, dcl-f90 is a collection of Fortran 90 wrappers for
 GFD-Dennou Club Library (DCL) 5.x.
 .
 This package provides shared library, database files.

Package: dcl-f90-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, libf90dcl5 (= ${binary:Version})
Suggests: gdb
Description: GFD Dennou Club Library Fortran90 Interfaces.
 This package, dcl-f90 is a collection of Fortran 90 wrappers for
 GFD-Dennou Club Library (DCL) 5.x.
 .
 This package provides debug symbols for dcl-f90.

Package: dcl-f90-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Manual of GFD Dennou Club Library Fortran90 Interfaces.
 This package, dcl-f90 is a collection of Fortran 90 wrappers for
 GFD-Dennou Club Library (DCL) 5.x.
 .
 This package provides document and demo programs.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_clean:
	[ ! -f Mkinclude ] || $(MAKE) clean
	-rm -f Mkinclude SIGEN.htm config.cache config.log config.status
	-rm -f src/f*/charset.* chkfort.cfg
	-rm -rf tmp
	dh_clean
	rm -f src/f77/x
	rm -f src/f90/x

override_dh_auto_configure:
	FC=/usr/bin/gfortran \
		 dh_auto_configure -- \
		 --enable-shared \
		 --bindir=/usr/bin \
		 --includedir=/usr/include/dcl-f90 \
		 --with-dclconfig=/usr/bin/dclconfig

override_dh_auto_install:
	dh_auto_install -- prefix=$(CURDIR)/debian/tmp/usr
	( cd $(CURDIR)/debian/tmp/usr/lib && \
		$(CC) $(CFLAGS) $(LDFLAGS) --shared -Wl,-soname,libf90dcl.so.5 -o libf90dcl.so.5.2 \
		  -Wl,--whole-archive libf90dcl.a -Wl,--no-whole-archive )
	( cd $(CURDIR)/debian/tmp/usr/lib && \
		ln -s libf90dcl.so.5.2 libf90dcl.so.5 )
	( cd $(CURDIR)/debian/tmp/usr/lib && \
		ln -s libf90dcl.so.5.2 libf90dcl.so )

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=dcl-f90-dbg
